| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwCCP4.h File Reference

Header file for reading and writing CCP4 files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | CCP4head

## Macros
#define | CCP4SIZE 1024

## Functions
int | set_CCP4_machine_stamp (char *machine_stamp)
| Setting a CCP4 style machine stamp. More...
int | readCCP4 (Bimage *p, int readdata)
| Reading a CCP4 map image file format. More...
int | writeCCP4 (Bimage *p)
| Writing a CCP4 map image file format. More...

## Detailed Description

Header file for reading and writing CCP4 files.

Author
  Bernard Heymann

Date
  Created: 19990410
  Modified: 20010401

      Format: 3D crystallographic image file format for the CCP4 package

Definition in file rwCCP4.h.

## Macro Definition Documentation

## ◆ CCP4SIZE

#define CCP4SIZE 1024

Definition at line 13 of file rwCCP4.h.

## Function Documentation

## ◆ readCCP4()

int readCCP4 | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a CCP4 map image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format used in X-ray crystallography. Header size: 1024 bytes followed by the symmetry operator table which is composed of 80 character lines, each line for a symmetry operator. File format extensions: .map, .ccp, .ccp4 The identifier is a 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable) Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 0 = signed char, 1 = short, 2 = float, 3 = complex short, 4 = complex float. Transform type: Centered hermitian The x-dimension contains the x-size of the full transform

Definition at line 81 of file rwCCP4.cpp.

## ◆ set_CCP4_machine_stamp()

int set_CCP4_machine_stamp | ( | char * | machine_stamp | ) |

Setting a CCP4 style machine stamp.

Parameters

  *machine_stamp | machine stamp string.

Returns
  int error code (<0 means failure). The 4-byte machine stamp: 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable)

Definition at line 34 of file rwCCP4.cpp.

## ◆ writeCCP4()

int writeCCP4 | ( | Bimage * | p | ) |

Writing a CCP4 map image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format used in X-ray crystallography.

Definition at line 207 of file rwCCP4.cpp.